## rocm-cmake 5.0.0

=== CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################

cmake_minimum_required (VERSION 3.6)

set(CMAKE_INSTALL_PREFIX "/opt/rocm" CACHE PATH "")

project(rocm-cmake)

install(DIRECTORY share DESTINATION .)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake DESTINATION share/rocm/cmake)

set(CPACK_RPM_PACKAGE_LICENSE "MIT")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/share/rocm/cmake)
include(ROCMCreatePackage)
include(ROCMSetupVersion)

rocm_setup_version(VERSION 0.6.1)

include(CMakePackageConfigHelpers)
write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake
    COMPATIBILITY SameMajorVersion)

rocm_create_package(
    NAME rocm-cmake
    MAINTAINER "Paul Fultz II pfultz@amd.com"
)

set(CONFIGURE_DEPENDS)
if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.12)
set(CONFIGURE_DEPENDS CONFIGURE_DEPENDS)
endif()
file(GLOB_RECURSE CMAKE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CONFIGURE_DEPENDS} share/*.cmake test/*.cmake)

add_custom_target(analyze COMMAND cmake-lint ${CMAKE_FILES} WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
add_custom_target(format COMMAND cmake-format -i ${CMAKE_FILES} WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

enable_testing()
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure -C ${CMAKE_CFG_INTDIR})
add_subdirectory(test)
add_subdirectory(doc)

=== doc/CMakeLists.txt ===
include(ROCMSphinxDoc)
rocm_add_sphinx_doc(src 
    BUILDER html 
    OUTPUT_DIR html 
)

=== doc/requirements.txt ===
sphinx==4.1.2
sphinxcontrib-moderncmakedomain==3.19

=== test/CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################

set(ROCM_CMAKE_GENERATOR "" CACHE STRING "")

function(create_test NAME TEST)
    set(GENERATOR_FLAG)
    if(ROCM_CMAKE_GENERATOR)
        set(GENERATOR_FLAG "-DROCM_CMAKE_GENERATOR=${ROCM_CMAKE_GENERATOR}")
    endif()
    add_custom_target(${NAME} COMMAND ${CMAKE_COMMAND} ${GENERATOR_FLAG} -P ${CMAKE_CURRENT_SOURCE_DIR}/test.cmake ${TEST} ${CMAKE_CURRENT_BINARY_DIR}/tmp/${NAME})
    add_test(NAME ${NAME} COMMAND ${CMAKE_COMMAND} ${GENERATOR_FLAG} -P ${CMAKE_CURRENT_SOURCE_DIR}/test.cmake ${TEST} ${CMAKE_CURRENT_BINARY_DIR}/tmp/${NAME})
endfunction()

file(GLOB PASS_TESTS pass/*.cmake)
foreach(TEST ${PASS_TESTS})
    get_filename_component(NAME ${TEST} NAME_WE)
    create_test(pass-${NAME} ${TEST})
endforeach()

file(GLOB FAIL_TESTS fail/*.cmake)
foreach(TEST ${FAIL_TESTS})
    get_filename_component(NAME ${TEST} NAME_WE)
    create_test(fail-${NAME} ${TEST})
    set_tests_properties(fail-${NAME} PROPERTIES WILL_FAIL On)
endforeach()

=== test/analyze/CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################


cmake_minimum_required (VERSION 3.5)
project(simple)

find_package(ROCM)

include(ROCMInstallTargets)
include(ROCMAnalyzers)
include(ROCMSetupVersion)

rocm_setup_version(VERSION 1.0.0)

configure_file(simple2.cpp.in simple2.cpp)

add_library(simple simple.cpp ${CMAKE_CURRENT_BINARY_DIR}/simple2.cpp)
rocm_install_targets(TARGETS simple INCLUDE include)

include(ROCMClangTidy)
rocm_enable_clang_tidy(
    CHECKS 
        *
        -llvmlibc-*
    ERRORS
        *
    HEADER_FILTER
        "hpp$"
)
include(ROCMCppCheck)
rocm_enable_cppcheck(
    INCONCLUSIVE
    CHECKS 
        warning
    FORCE
    SUPPRESS 
        unmatchedSuppression
    SOURCES
        simple.cpp
    INCLUDE
        ${CMAKE_CURRENT_SOURCE_DIR}/include
    ADDONS
        findcasts
        threadsafety
)

rocm_clang_tidy_check(simple)

=== test/findpackagecheck/CMakeLists.txt ===

cmake_minimum_required (VERSION 3.5)
project(findpackagecheck)

message(STATUS "PKG: ${PKG}")
message(STATUS "PKG_TARGET: ${PKG_TARGET}")
message(STATUS "CHECK_TARGET: ${CHECK_TARGET}")

find_package(${PKG})

if(NOT TARGET ${CHECK_TARGET})
    message(FATAL_ERROR "Target ${CHECK_TARGET} is missing.")
endif()

configure_file(main.cpp.in main.cpp @ONLY)

add_executable(main ${CMAKE_CURRENT_BINARY_DIR}/main.cpp)
target_link_libraries(main ${PKG_TARGET})
install(TARGETS main DESTINATION bin)

=== test/libbasic/CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################


cmake_minimum_required (VERSION 3.5)
project(basic)

find_package(ROCM)
find_package(simple)

include(ROCMInstallTargets)
include(ROCMPackageConfigHelpers)
include(ROCMSetupVersion)

rocm_setup_version(VERSION VERSION 1.0.0)

if(NOT PROJECT_VERSION STREQUAL "1.0.0")
    message(SEND_ERROR "Version not the same")
endif()

add_library(basic main.cpp)
target_link_libraries(basic PRIVATE simple)

rocm_install_targets(TARGETS basic INCLUDE include)
rocm_export_targets(TARGETS basic STATIC_DEPENDS simple)

=== test/libheaderonly/CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################


cmake_minimum_required (VERSION 3.5)
project(headeronly)

find_package(ROCM)

include(ROCMInstallTargets)
include(ROCMPackageConfigHelpers)
include(ROCMSetupVersion)
include(ROCMInstallSymlinks)
include(ROCMCreatePackage)

rocm_setup_version(VERSION 1.0.0)

if(ROCM_PREFIX)
rocm_create_package(
    NAME headeronly 
    PREFIX ${ROCM_PREFIX}
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG
    HEADER_ONLY)
else()
rocm_create_package(
    NAME headeronly 
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG
    HEADER_ONLY)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)

add_library(headeronly INTERFACE)
target_include_directories(headeronly 
    INTERFACE 
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:headeronly/include/>)

if(ROCM_PREFIX)
    rocm_install_targets(
        TARGETS headeronly 
        INCLUDE include 
        PREFIX ${ROCM_PREFIX})
    rocm_install(
        DIRECTORY
            "include/"
        DESTINATION headeronly/include/
        FILES_MATCHING
        PATTERN "*.h"
        PATTERN "*.hpp"
        PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
    )
    rocm_export_targets(
        TARGETS headeronly 
        INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake 
        PREFIX ${ROCM_PREFIX})
    rocm_install_symlink_subdir(${ROCM_PREFIX})
else()
    rocm_install_targets(
        TARGETS headeronly
        INCLUDE include)
    rocm_install(
        DIRECTORY
            "include/"
        DESTINATION headeronly/include/
        FILES_MATCHING
        PATTERN "*.h"
        PATTERN "*.hpp"
        PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
    )
    rocm_export_targets(
        TARGETS headeronly 
        INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake)
endif()

=== test/libsimple/CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################


cmake_minimum_required (VERSION 3.5)
project(simple)

find_package(ROCM)

include(ROCMInstallTargets)
include(ROCMPackageConfigHelpers)
include(ROCMSetupVersion)
include(ROCMInstallSymlinks)
include(ROCMCreatePackage)

rocm_setup_version(VERSION 1.0.0)

if(ROCM_PREFIX)
rocm_create_package(
    NAME simple 
    PREFIX ${ROCM_PREFIX}
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG)
else()
rocm_create_package(
    NAME simple 
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)

add_library(simple simple.cpp)
rocm_set_soversion(simple 1.1.2)

add_executable(simple-main main.cpp)
target_link_libraries(simple-main simple)

if(ROCM_PREFIX)
    rocm_install_targets(TARGETS simple simple-main INCLUDE include PREFIX ${ROCM_PREFIX})
    rocm_export_targets(TARGETS simple INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake PREFIX ${ROCM_PREFIX})
    rocm_install_symlink_subdir(${ROCM_PREFIX})
else()
    rocm_install_targets(TARGETS simple simple-main INCLUDE include)
    rocm_export_targets(TARGETS simple INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake)
endif()

=== test/libsimple2/CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################


cmake_minimum_required (VERSION 3.5)
project(simple2)

find_package(ROCM)

include(ROCMInstallTargets)
include(ROCMPackageConfigHelpers)
include(ROCMSetupVersion)
include(ROCMInstallSymlinks)
include(ROCMCreatePackage)

find_package(simple)

rocm_setup_version(VERSION 1.0.0)

if(ROCM_PREFIX)
rocm_create_package(
    NAME simple2 
    PREFIX ${ROCM_PREFIX}
    MAINTAINER "Amd amd@amd.com"
    LDCONFIG)
else()
rocm_create_package(
    NAME simple2 
    MAINTAINER "Amd amd@amd.com"
    LDCONFIG)
endif()

add_library(simple2 simple2.cpp)
target_link_libraries(simple2 simple)

if(ROCM_PREFIX)
    rocm_install_targets(TARGETS simple2 INCLUDE include PREFIX ${ROCM_PREFIX})
    rocm_export_targets(TARGETS simple2 INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake PREFIX ${ROCM_PREFIX} DEPENDS PACKAGE simple)
    rocm_install_symlink_subdir(${ROCM_PREFIX})
else()
    rocm_install_targets(TARGETS simple2 INCLUDE include)
    rocm_export_targets(TARGETS simple2 INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake DEPENDS PACKAGE simple)
endif()

=== test/toolchain-var/CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################


cmake_minimum_required (VERSION 3.5)
find_package(ROCM)
project(toolchain-var)
enable_language(CXX)

if(CHANGE_TOOLCHAIN)
set(CMAKE_CXX_COMPILER gcc)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -w")
endif()

add_library(lib INTERFACE)

=== test/version/CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################

cmake_minimum_required (VERSION 3.5)
project(simple)

find_package(ROCM)

include(ROCMSetupVersion)
include(ROCMCreatePackage)

rocm_setup_version(VERSION @VERSION@)
message("VERSION: @VERSION@")
message("PROJECT_VERSION: ${PROJECT_VERSION}")

install(CODE "message(\"No install\")")

macro(test_expect_eq X Y)
    if("${X}" STREQUAL "${Y}")
    else()
        message(FATAL_ERROR "EXPECT FAILURE: ${X} != ${Y} ${ARGN}")
    endif()
endmacro()

macro(test_expect_matches X Y)
    if(NOT ${X} MATCHES ${Y})
        message(FATAL_ERROR "EXPECT FAILURE: ${X} != ${Y} ${ARGN}")
    endif()
endmacro()

@CONTENT@

rocm_create_package(
    NAME simple 
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG)

=== debian/changelog ===
rocm-cmake (5.0.0-1) unstable; urgency=medium

  [ Maxime Chambonnet ]
  * New upstream version 5.0.0

  [ Mo Zhou ]
  * cme update dpkg-copyright.
  * Remove redundant LICENSE file after dh_auto_install.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Mon, 14 Feb 2022 14:22:38 -0500

rocm-cmake (4.5.2-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1003267)

 -- Étienne Mollier <emollier@debian.org>  Sat, 15 Jan 2022 15:38:06 +0100

=== debian/control ===
Source: rocm-cmake
Section: devel
Homepage: https://github.com/RadeonOpenCompute/rocm-cmake
Priority: optional
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Étienne Mollier <emollier@debian.org>,
           Maxime Chambonnet <maxzor@maxzor.eu>
Build-Depends: debhelper-compat (= 13), cmake
Rules-Requires-Root: no

Package: rocm-cmake
Architecture: all
Depends: ${misc:Depends}
Description: AMD ROCm cmake modules
 ROCM cmake modules provides cmake modules for common build tasks
 needed for the ROCM software stack.

## rocm-cmake 5.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 include(ROCMCreatePackage)
 include(ROCMSetupVersion)
 
-rocm_setup_version(VERSION 0.6.1)
+rocm_setup_version(VERSION 0.7.3)
 
 include(CMakePackageConfigHelpers)
 write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake

=== test/libwrapper/CMakeLists.txt ===
################################################################################
# Copyright (C) 2022 Advanced Micro Devices, Inc.
################################################################################


cmake_minimum_required (VERSION 3.5)
project(test-wrapper)

find_package(ROCM)

include(ROCMInstallTargets)
include(ROCMPackageConfigHelpers)
include(ROCMSetupVersion)
include(ROCMInstallSymlinks)
include(ROCMCreatePackage)
include(ROCMHeaderWrapper)

rocm_setup_version(VERSION 1.0.0)

if(ROCM_PREFIX)
rocm_create_package(
    NAME wrapper 
    PREFIX ${ROCM_PREFIX}
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG)
else()
rocm_create_package(
    NAME wrapper 
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)

option(ERR_ON_WARN "Treat all warnings as errors." OFF)
if(ERR_ON_WARN)
    if(MSVC)
        add_compile_options(/W4 /WX)
    else()
        add_compile_options(-Wall -Wextra -pedantic -Werror)
    endif()
endif()

add_library(wrapper wrapper.cpp)
rocm_set_soversion(wrapper 1.1.2)

add_executable(wrapper-use-wrapper use_wrapper.cpp)
target_link_libraries(wrapper-use-wrapper wrapper)

add_executable(wrapper-use-original use_original.cpp)
target_link_libraries(wrapper-use-original wrapper)

rocm_wrap_header_file(
    wrapper.h
    HEADER_LOCATION include/wrapper
    GUARDS TESTWRAPPER
    WRAPPER_LOCATIONS include
)

rocm_wrap_header_dir(
    "${CMAKE_CURRENT_LIST_DIR}/include/other"
    HEADER_LOCATION include/other
    GUARDS TESTWRAPPER
    WRAPPER_LOCATIONS include
)

rocm_install_targets(TARGETS wrapper wrapper-use-wrapper wrapper-use-original INCLUDE include ${CMAKE_CURRENT_BINARY_DIR}/include)
rocm_export_targets(TARGETS wrapper INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake)

=== debian/changelog ===
rocm-cmake (5.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Jul 2022 11:32:21 +0200

rocm-cmake (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0

 -- Mo Zhou <lumin@debian.org>  Thu, 07 Apr 2022 12:14:53 -0400

## rocm-cmake 5.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(CMAKE_INSTALL_PREFIX "/opt/rocm" CACHE PATH "")
 
-project(rocm-cmake)
+project(rocm-cmake LANGUAGES NONE)
 
 install(DIRECTORY share DESTINATION .)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake DESTINATION share/rocm/cmake)
@@ -17,7 +17,7 @@
 include(ROCMCreatePackage)
 include(ROCMSetupVersion)
 
-rocm_setup_version(VERSION 0.7.3)
+rocm_setup_version(VERSION 0.8.0)
 
 include(CMakePackageConfigHelpers)
 write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,10 @@
 endforeach()
 
 file(GLOB FAIL_TESTS fail/*.cmake)
+# Disable wrapper fail test, as the warning is changed to message
+# This is temporary and will be enabled back later when the behavior is reverted
+list(FILTER FAIL_TESTS EXCLUDE REGEX ".*wrapper\.cmake$")
+
 foreach(TEST ${FAIL_TESTS})
     get_filename_component(NAME ${TEST} NAME_WE)
     create_test(fail-${NAME} ${TEST})

=== test/analyze/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 
 cmake_minimum_required (VERSION 3.5)
-project(simple)
+project(simple LANGUAGES CXX)
 
 find_package(ROCM)

=== test/libbasic/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 
 cmake_minimum_required (VERSION 3.5)
-project(basic)
+project(basic CXX)
 
 find_package(ROCM)
 find_package(simple)
@@ -24,4 +24,3 @@
 
 rocm_install_targets(TARGETS basic INCLUDE include)
 rocm_export_targets(TARGETS basic STATIC_DEPENDS simple)
-

=== test/toolchain-var/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,7 @@
 
 cmake_minimum_required (VERSION 3.5)
 find_package(ROCM)
-project(toolchain-var)
-enable_language(CXX)
+project(toolchain-var CXX)
 
 if(CHANGE_TOOLCHAIN)
 set(CMAKE_CXX_COMPILER gcc)

=== test/version/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ################################################################################
 
 cmake_minimum_required (VERSION 3.5)
-project(simple)
+project(simple LANGUAGES NONE)
 
 find_package(ROCM)

=== debian/changelog ===
rocm-cmake (5.4.0-1) unstable; urgency=medium

  * Migrate ROCm 5.4.0 to unstable.

 -- Étienne Mollier <emollier@debian.org>  Fri, 06 Jan 2023 19:42:14 +0100

rocm-cmake (5.4.0-1~0exp0) experimental; urgency=medium

  * New upstream version 5.4.0

 -- Étienne Mollier <emollier@debian.org>  Fri, 02 Dec 2022 11:15:40 +0100

rocm-cmake (5.2.3-1) unstable; urgency=medium

  * Migrate ROCm 5.2.3 to unstable.

 -- Étienne Mollier <emollier@debian.org>  Mon, 17 Oct 2022 20:42:49 +0200

rocm-cmake (5.2.3-1~0exp1) experimental; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Mon, 05 Sep 2022 20:58:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Homepage: https://github.com/RadeonOpenCompute/rocm-cmake
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
@@ -16,6 +16,7 @@
 Package: rocm-cmake
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: AMD ROCm cmake modules
  ROCM cmake modules provides cmake modules for common build tasks
  needed for the ROCM software stack.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?rocm-(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/RadeonOpenCompute/rocm-cmake/tags \
	(?:.*?/)?rocm-@ANY_VERSION@@ARCHIVE_EXT@

## rocm-cmake 6.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 include(ROCMCreatePackage)
 include(ROCMSetupVersion)
 
-rocm_setup_version(VERSION 0.8.0)
+rocm_setup_version(VERSION 0.11.0)
 
 include(CMakePackageConfigHelpers)
 write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake

=== doc/CMakeLists.txt ===
include(ROCMSphinxDoc)
rocm_add_sphinx_doc(src
    BUILDER html 
    OUTPUT_DIR html 
)

=== test/analyze/CMakeLists.txt ===
--- 
+++ 
@@ -12,15 +12,9 @@
 include(ROCMAnalyzers)
 include(ROCMSetupVersion)
 
-rocm_setup_version(VERSION 1.0.0)
-
-configure_file(simple2.cpp.in simple2.cpp)
-
-add_library(simple simple.cpp ${CMAKE_CURRENT_BINARY_DIR}/simple2.cpp)
-rocm_install_targets(TARGETS simple INCLUDE include)
-
 include(ROCMClangTidy)
 rocm_enable_clang_tidy(
+    DEV_WARNINGS_AS_ERRORS
     CHECKS 
         *
         -llvmlibc-*
@@ -46,4 +40,12 @@
         threadsafety
 )
 
+rocm_setup_version(VERSION 1.0.0)
+
+configure_file(simple2.cpp.in simple2.cpp)
+
+add_library(simple simple.cpp ${CMAKE_CURRENT_BINARY_DIR}/simple2.cpp)
+rocm_install_targets(TARGETS simple INCLUDE include)
+
+
 rocm_clang_tidy_check(simple)

=== test/docsphinx/CMakeLists.txt ===
################################################################################
# Copyright (C) 2023 Advanced Micro Devices, Inc.
################################################################################

cmake_minimum_required (VERSION 3.5)
project(useful LANGUAGES CXX)
# Ideally should be NONE, but GNUInstallDirs detects platform arch using try_compile
# https://stackoverflow.com/questions/43379311/why-does-project-affect-cmakes-opinion-on-cmake-sizeof-void-p

find_package(ROCM)

include(ROCMSphinxDoc)
include(GNUInstallDirs)

rocm_add_sphinx_doc(
  "${CMAKE_CURRENT_SOURCE_DIR}/docs"
  BUILDER html
  OUTPUT_DIR html
  USE_DOXYGEN
)

install(
  DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
  DESTINATION ${CMAKE_INSTALL_DOCDIR}
)

=== test/libheaderonly/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 
 cmake_minimum_required (VERSION 3.5)
-project(headeronly)
+project(headeronly LANGUAGES NONE)
 
 find_package(ROCM)

=== test/libsimple/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 
 cmake_minimum_required (VERSION 3.5)
-project(simple)
+project(simple CXX)
 
 find_package(ROCM)

=== test/libsimple2/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 
 cmake_minimum_required (VERSION 3.5)
-project(simple2)
+project(simple2 CXX)
 
 find_package(ROCM)

=== test/libsimpletest/CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################


cmake_minimum_required (VERSION 3.5)
project(simple CXX)

find_package(ROCM)

include(ROCMInstallTargets)
include(ROCMPackageConfigHelpers)
include(ROCMSetupVersion)
include(ROCMInstallSymlinks)
include(ROCMCreatePackage)
include(ROCMTest)

rocm_setup_version(VERSION 1.0.0)

rocm_enable_test_package(simple)

rocm_create_package(
    NAME simple 
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG)

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)

add_library(simple simple.cpp)
rocm_set_soversion(simple 1.1.2)

add_executable(simple-main main.cpp)
target_link_libraries(simple-main simple)

rocm_install_targets(TARGETS simple simple-main INCLUDE include)
rocm_export_targets(TARGETS simple)

add_subdirectory(test)

=== test/libwrapper/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 
 cmake_minimum_required (VERSION 3.5)
-project(test-wrapper)
+project(test-wrapper CXX)
 
 find_package(ROCM)

=== test/docsphinx/docs/.sphinx/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile docs/.sphinx/requirements.in
#
accessible-pygments==0.0.4
    # via pydata-sphinx-theme
alabaster==0.7.13
    # via sphinx
babel==2.12.1
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.12.2
    # via pydata-sphinx-theme
breathe==4.35.0
    # via rocm-docs-core
certifi==2023.7.22
    # via requests
cffi==1.15.1
    # via
    #   cryptography
    #   pynacl
charset-normalizer==3.2.0
    # via requests
click==8.1.7
    # via sphinx-external-toc
cryptography==41.0.3
    # via pyjwt
deprecated==1.2.14
    # via pygithub
docutils==0.19
    # via
    #   breathe
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
fastjsonschema==2.18.0
    # via rocm-docs-core
gitdb==4.0.10
    # via gitpython
gitpython==3.1.32
    # via rocm-docs-core
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via
    #   myst-parser
    #   sphinx
markdown-it-py==2.2.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.3
    # via jinja2
mdit-py-plugins==0.3.5
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==1.0.0
    # via rocm-docs-core
packaging==23.1
    # via
    #   pydata-sphinx-theme
    #   sphinx
pycparser==2.21
    # via cffi
pydata-sphinx-theme==0.13.3
    # via
    #   rocm-docs-core
    #   sphinx-book-theme
pygithub==1.59.1
    # via rocm-docs-core
pygments==2.16.1
    # via
    #   accessible-pygments
    #   pydata-sphinx-theme
    #   sphinx
pyjwt[crypto]==2.8.0
    # via pygithub
pynacl==1.5.0
    # via pygithub
pyyaml==6.0.1
    # via
    #   myst-parser
    #   rocm-docs-core
    #   sphinx-external-toc
requests==2.31.0
    # via
    #   pygithub
    #   sphinx
rocm-docs-core==0.20.0
    # via -r docs/.sphinx/requirements.in
smmap==5.0.0
    # via gitdb
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.4.1
    # via beautifulsoup4
sphinx==5.3.0
    # via
    #   breathe
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-notfound-page
    #   sphinxcontrib-applehelp
    #   sphinxcontrib-devhelp
    #   sphinxcontrib-htmlhelp
    #   sphinxcontrib-qthelp
    #   sphinxcontrib-serializinghtml
sphinx-book-theme==1.0.1
    # via rocm-docs-core
sphinx-copybutton==0.5.2
    # via rocm-docs-core
sphinx-design==0.5.0
    # via rocm-docs-core
sphinx-external-toc==0.3.1
    # via rocm-docs-core
sphinx-notfound-page==0.8.3
    # via rocm-docs-core
sphinxcontrib-applehelp==1.0.7
    # via sphinx
sphinxcontrib-devhelp==1.0.5
    # via sphinx
sphinxcontrib-htmlhelp==2.0.4
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.6
    # via sphinx
sphinxcontrib-serializinghtml==1.1.8
    # via sphinx
typing-extensions==4.7.1
    # via pydata-sphinx-theme
urllib3==2.0.4
    # via requests
wrapt==1.15.0
    # via deprecated

=== debian/changelog ===
rocm-cmake (6.0.0-1) unstable; urgency=medium

  * Migrate ROCm 6.0.0 to unstable

 -- Cordell Bloor <cgmb@slerp.xyz>  Fri, 16 Feb 2024 18:37:01 -0700

rocm-cmake (6.0.0-1~exp0) experimental; urgency=medium

  * New upstream version 6.0.0
  * Update upstream URLs

 -- Cordell Bloor <cgmb@slerp.xyz>  Wed, 17 Jan 2024 11:50:01 -0700

rocm-cmake (5.7.0-1) unstable; urgency=medium

  * Migrate ROCm 5.7.0 to unstable
  * Update standards version to 4.6.2
  * Add self to uploaders
  * Update package description

 -- Cordell Bloor <cgmb@slerp.xyz>  Wed, 17 Jan 2024 00:56:00 -0700

rocm-cmake (5.7.0-1~exp0) experimental; urgency=medium

  * New upstream version 5.7.0

 -- Mo Zhou <lumin@debian.org>  Sat, 16 Sep 2023 21:09:57 -0400

=== debian/control ===
Source: rocm-cmake
Section: devel
Homepage: https://github.com/ROCm/rocm-cmake
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Étienne Mollier <emollier@debian.org>,
           Maxime Chambonnet <maxzor@maxzor.eu>,
           Cordell Bloor <cgmb@slerp.xyz>
Build-Depends: debhelper-compat (= 13), cmake
Rules-Requires-Root: no

Package: rocm-cmake
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: AMD ROCm CMake modules
 rocm-cmake provides CMake modules for common build and development
 tasks within the ROCm project, such as setting version numbers,
 configuring CPack properties, and running static analysis tools.
 rocm-cmake is not typically required for building libraries or
 programs that use ROCm.

## rocm-cmake 6.3.2

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile requirements.in
#
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==0.7.16
    # via sphinx
babel==2.15.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.12.3
    # via pydata-sphinx-theme
breathe==4.35.0
    # via rocm-docs-core
certifi==2024.6.2
    # via requests
cffi==1.16.0
    # via
    #   cryptography
    #   pynacl
charset-normalizer==3.3.2
    # via requests
click==8.1.7
    # via sphinx-external-toc
cryptography==42.0.8
    # via pyjwt
deprecated==1.2.14
    # via pygithub
docutils==0.21.2
    # via
    #   breathe
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
fastjsonschema==2.19.1
    # via rocm-docs-core
gitdb==4.0.11
    # via gitpython
gitpython==3.1.43
    # via rocm-docs-core
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via
    #   myst-parser
    #   sphinx
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.5
    # via jinja2
mdit-py-plugins==0.4.1
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==3.0.1
    # via rocm-docs-core
packaging==24.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
pycparser==2.22
    # via cffi
pydata-sphinx-theme==0.15.3
    # via
    #   rocm-docs-core
    #   sphinx-book-theme
pygithub==2.3.0
    # via rocm-docs-core
pygments==2.18.0
    # via
    #   accessible-pygments
    #   pydata-sphinx-theme
    #   sphinx
pyjwt[crypto]==2.8.0
    # via pygithub
pynacl==1.5.0
    # via pygithub
pyyaml==6.0.1
    # via
    #   myst-parser
    #   rocm-docs-core
    #   sphinx-external-toc
requests==2.32.3
    # via
    #   pygithub
    #   sphinx
rocm-docs-core==1.6.2
    # via -r requirements.in
smmap==5.0.1
    # via gitdb
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.3.7
    # via
    #   breathe
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-notfound-page
    #   sphinxcontrib-moderncmakedomain
sphinx-book-theme==1.1.2
    # via rocm-docs-core
sphinx-copybutton==0.5.2
    # via rocm-docs-core
sphinx-design==0.6.0
    # via rocm-docs-core
sphinx-external-toc==1.0.1
    # via rocm-docs-core
sphinx-notfound-page==1.0.2
    # via rocm-docs-core
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-moderncmakedomain==3.29.0
    # via -r requirements.in
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
typing-extensions==4.12.2
    # via
    #   pydata-sphinx-theme
    #   pygithub
urllib3==2.2.1
    # via
    #   pygithub
    #   requests
wrapt==1.16.0
    # via deprecated

=== test/findpackagecheck/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 cmake_minimum_required (VERSION 3.5)
-project(findpackagecheck)
+project(findpackagecheck CXX)
 
 message(STATUS "PKG: ${PKG}")
 message(STATUS "PKG_TARGET: ${PKG_TARGET}")
@@ -17,4 +17,3 @@
 add_executable(main ${CMAKE_CURRENT_BINARY_DIR}/main.cpp)
 target_link_libraries(main ${PKG_TARGET})
 install(TARGETS main DESTINATION bin)
-

=== test/libsimpletest/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 cmake_minimum_required (VERSION 3.5)
 project(simple CXX)
 
-find_package(ROCM)
+find_package(ROCmCMakeBuildTools)
 
 include(ROCMInstallTargets)
 include(ROCMPackageConfigHelpers)
@@ -20,7 +20,7 @@
 rocm_enable_test_package(simple)
 
 rocm_create_package(
-    NAME simple 
+    NAME simple
     MAINTAINER "Amd amd@amd.com"
     PTH
     LDCONFIG)

=== test/version/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required (VERSION 3.5)
 project(simple LANGUAGES NONE)
 
-find_package(ROCM)
+find_package(ROCmCMakeBuildTools)
 
 include(ROCMSetupVersion)
 include(ROCMCreatePackage)
@@ -32,7 +32,7 @@
 @CONTENT@
 
 rocm_create_package(
-    NAME simple 
+    NAME simple
     MAINTAINER "Amd amd@amd.com"
     PTH
     LDCONFIG)

=== debian/changelog ===
rocm-cmake (6.3.2-1) unstable; urgency=medium

  * New upstream version 6.3.2
  * d/control: Update standards version
  * d/control: Add Mario to uploaders

 -- Mario Limonciello <superm1@gmail.com>  Tue, 04 Feb 2025 16:48:06 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Homepage: https://github.com/ROCm/rocm-cmake
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
@@ -10,7 +10,8 @@
            Norbert Preining <norbert@preining.info>,
            Étienne Mollier <emollier@debian.org>,
            Maxime Chambonnet <maxzor@maxzor.eu>,
-           Cordell Bloor <cgmb@slerp.xyz>
+           Cordell Bloor <cgmb@slerp.xyz>,
+           Mario Limonciello <superm1@gmail.com>,
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no

## rocm-cmake 6.4.1

=== debian/changelog ===
rocm-cmake (6.4.1-1~exp1) experimental; urgency=medium

  * New upstream version 6.4.1
  * Update d/copyright
  * Add myself to Uploaders
  * Bump Standards-Version to 4.7.2 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Wed, 02 Jul 2025 18:56:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Homepage: https://github.com/ROCm/rocm-cmake
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
@@ -12,6 +12,7 @@
            Maxime Chambonnet <maxzor@maxzor.eu>,
            Cordell Bloor <cgmb@slerp.xyz>,
            Mario Limonciello <superm1@gmail.com>,
+           Christian Kastner <ckk@debian.org>,
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no

## rocm-cmake 6.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,18 +9,21 @@
 project(rocm-cmake LANGUAGES NONE)
 
 install(DIRECTORY share DESTINATION .)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake DESTINATION share/rocm/cmake)
+install(
+    FILES ${CMAKE_CURRENT_BINARY_DIR}/ROCmCMakeBuildToolsConfigVersion.cmake
+    DESTINATION share/rocmcmakebuildtools/cmake
+)
 
 set(CPACK_RPM_PACKAGE_LICENSE "MIT")
 
-list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/share/rocm/cmake)
+list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/share/rocmcmakebuildtools/cmake)
 include(ROCMCreatePackage)
 include(ROCMSetupVersion)
 
-rocm_setup_version(VERSION 0.11.0)
+rocm_setup_version(VERSION 0.14.0)
 
 include(CMakePackageConfigHelpers)
-write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake
+write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/ROCmCMakeBuildToolsConfigVersion.cmake
     COMPATIBILITY SameMajorVersion)
 
 rocm_create_package(
@@ -40,5 +43,4 @@
 enable_testing()
 add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure -C ${CMAKE_CFG_INTDIR})
 add_subdirectory(test)
-add_subdirectory(doc)
-
+add_subdirectory(docs)

=== docs/CMakeLists.txt ===
include(ROCMSphinxDoc)
rocm_add_sphinx_doc(${CMAKE_CURRENT_LIST_DIR}/src
    BUILDER html
    OUTPUT_DIR html
)

=== docs/requirements.txt ===
--- 
+++ 
@@ -92,7 +92,7 @@
     # via
     #   pygithub
     #   sphinx
-rocm-docs-core==1.6.2
+rocm-docs-core==1.9.2
     # via -r requirements.in
 smmap==5.0.1
     # via gitdb

=== test/docsphinx/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Ideally should be NONE, but GNUInstallDirs detects platform arch using try_compile
 # https://stackoverflow.com/questions/43379311/why-does-project-affect-cmakes-opinion-on-cmake-sizeof-void-p
 
-find_package(ROCM)
+find_package(ROCmCMakeBuildTools)
 
 include(ROCMSphinxDoc)
 include(GNUInstallDirs)

=== test/libbasic/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 cmake_minimum_required (VERSION 3.5)
 project(basic CXX)
 
-find_package(ROCM)
+find_package(ROCmCMakeBuildTools)
 find_package(simple)
 
 include(ROCMInstallTargets)

=== test/libheaderonly/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 cmake_minimum_required (VERSION 3.5)
 project(headeronly LANGUAGES NONE)
 
-find_package(ROCM)
+find_package(ROCmCMakeBuildTools)
 
 include(ROCMInstallTargets)
 include(ROCMPackageConfigHelpers)
@@ -18,7 +18,7 @@
 
 if(ROCM_PREFIX)
 rocm_create_package(
-    NAME headeronly 
+    NAME headeronly
     PREFIX ${ROCM_PREFIX}
     MAINTAINER "Amd amd@amd.com"
     PTH
@@ -26,7 +26,7 @@
     HEADER_ONLY)
 else()
 rocm_create_package(
-    NAME headeronly 
+    NAME headeronly
     MAINTAINER "Amd amd@amd.com"
     PTH
     LDCONFIG
@@ -38,15 +38,15 @@
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)
 
 add_library(headeronly INTERFACE)
-target_include_directories(headeronly 
-    INTERFACE 
+target_include_directories(headeronly
+    INTERFACE
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
         $<INSTALL_INTERFACE:headeronly/include/>)
 
 if(ROCM_PREFIX)
     rocm_install_targets(
-        TARGETS headeronly 
-        INCLUDE include 
+        TARGETS headeronly
+        INCLUDE include
         PREFIX ${ROCM_PREFIX})
     rocm_install(
         DIRECTORY
@@ -58,8 +58,8 @@
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
     )
     rocm_export_targets(
-        TARGETS headeronly 
-        INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake 
+        TARGETS headeronly
+        INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake
         PREFIX ${ROCM_PREFIX})
     rocm_install_symlink_subdir(${ROCM_PREFIX})
 else()
@@ -76,6 +76,6 @@
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
     )
     rocm_export_targets(
-        TARGETS headeronly 
+        TARGETS headeronly
         INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake)
 endif()

=== test/libprivate/CMakeLists.txt ===
################################################################################
# Copyright (C) 2024 Advanced Micro Devices, Inc.
################################################################################


cmake_minimum_required (VERSION 3.5)
project(libprivate CXX)

find_package(ROCmCMakeBuildTools)

include(ROCMInstallTargets)
include(ROCMPackageConfigHelpers)
include(ROCMSetupVersion)
include(ROCMInstallSymlinks)
include(ROCMCreatePackage)

rocm_setup_version(VERSION 1.0.0)

if(ROCM_PREFIX)
rocm_create_package(
    NAME simple-private
    PREFIX ${ROCM_PREFIX}
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG)
else()
rocm_create_package(
    NAME simple-private
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)

add_library(simple_private simpleprivate.cpp)
#rocm_set_soversion(simple-private 1.1.2)

add_executable(simple_private_main main.cpp)
target_link_libraries(simple_private_main simple_private)

if(ROCM_PREFIX)
    rocm_install_targets(PRIVATE TARGETS simple_private simple_private_main INCLUDE include PREFIX ${ROCM_PREFIX})
    rocm_export_targets(TARGETS simple_private INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake PREFIX ${ROCM_PREFIX})
    rocm_install_symlink_subdir(${ROCM_PREFIX})
else()
    rocm_install_targets(PRIVATE TARGETS simple_private simple_private_main INCLUDE include)
    rocm_export_targets(TARGETS simple_private INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake)
endif()

=== test/libsimple2/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 cmake_minimum_required (VERSION 3.5)
 project(simple2 CXX)
 
-find_package(ROCM)
+find_package(ROCmCMakeBuildTools)
 
 include(ROCMInstallTargets)
 include(ROCMPackageConfigHelpers)
@@ -20,13 +20,13 @@
 
 if(ROCM_PREFIX)
 rocm_create_package(
-    NAME simple2 
+    NAME simple2
     PREFIX ${ROCM_PREFIX}
     MAINTAINER "Amd amd@amd.com"
     LDCONFIG)
 else()
 rocm_create_package(
-    NAME simple2 
+    NAME simple2
     MAINTAINER "Amd amd@amd.com"
     LDCONFIG)
 endif()

=== test/libsimplecompat/CMakeLists.txt ===
################################################################################
# Copyright (C) 2017 Advanced Micro Devices, Inc.
################################################################################


cmake_minimum_required (VERSION 3.5)
project(simple CXX)

find_package(ROCM)

include(ROCMInstallTargets)
include(ROCMPackageConfigHelpers)
include(ROCMSetupVersion)
include(ROCMInstallSymlinks)
include(ROCMCreatePackage)

rocm_setup_version(VERSION 1.0.0)

if(ROCM_PREFIX)
rocm_create_package(
    NAME simple
    PREFIX ${ROCM_PREFIX}
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG)
else()
rocm_create_package(
    NAME simple
    MAINTAINER "Amd amd@amd.com"
    PTH
    LDCONFIG)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)

add_library(simple simple.cpp)
rocm_set_soversion(simple 1.1.2)

add_executable(simple-main main.cpp)
target_link_libraries(simple-main simple)

if(ROCM_PREFIX)
    rocm_install_targets(TARGETS simple simple-main INCLUDE include PREFIX ${ROCM_PREFIX})
    rocm_export_targets(TARGETS simple INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake PREFIX ${ROCM_PREFIX})
    rocm_install_symlink_subdir(${ROCM_PREFIX})
else()
    rocm_install_targets(TARGETS simple simple-main INCLUDE include)
    rocm_export_targets(TARGETS simple INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/importtarget.cmake)
endif()

=== test/libwrapper/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 cmake_minimum_required (VERSION 3.5)
 project(test-wrapper CXX)
 
-find_package(ROCM)
+find_package(ROCmCMakeBuildTools)
 
 include(ROCMInstallTargets)
 include(ROCMPackageConfigHelpers)
@@ -19,14 +19,14 @@
 
 if(ROCM_PREFIX)
 rocm_create_package(
-    NAME wrapper 
+    NAME wrapper
     PREFIX ${ROCM_PREFIX}
     MAINTAINER "Amd amd@amd.com"
     PTH
     LDCONFIG)
 else()
 rocm_create_package(
-    NAME wrapper 
+    NAME wrapper
     MAINTAINER "Amd amd@amd.com"
     PTH
     LDCONFIG)

=== test/toolchain-var/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 
 cmake_minimum_required (VERSION 3.5)
-find_package(ROCM)
+find_package(ROCmCMakeBuildTools)
 project(toolchain-var CXX)
 
 if(CHANGE_TOOLCHAIN)

=== test/docsphinx/docs/.sphinx/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile requirements.in
#
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==0.7.16
    # via sphinx
babel==2.15.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.12.3
    # via pydata-sphinx-theme
breathe==4.35.0
    # via rocm-docs-core
certifi==2024.6.2
    # via requests
cffi==1.16.0
    # via
    #   cryptography
    #   pynacl
charset-normalizer==3.3.2
    # via requests
click==8.1.7
    # via sphinx-external-toc
cryptography==42.0.8
    # via pyjwt
deprecated==1.2.14
    # via pygithub
docutils==0.21.2
    # via
    #   breathe
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
fastjsonschema==2.19.1
    # via rocm-docs-core
gitdb==4.0.11
    # via gitpython
gitpython==3.1.43
    # via rocm-docs-core
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via
    #   myst-parser
    #   sphinx
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.5
    # via jinja2
mdit-py-plugins==0.4.1
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==3.0.1
    # via rocm-docs-core
packaging==24.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
pycparser==2.22
    # via cffi
pydata-sphinx-theme==0.15.3
    # via
    #   rocm-docs-core
    #   sphinx-book-theme
pygithub==2.3.0
    # via rocm-docs-core
pygments==2.18.0
    # via
    #   accessible-pygments
    #   pydata-sphinx-theme
    #   sphinx
pyjwt[crypto]==2.8.0
    # via pygithub
pynacl==1.5.0
    # via pygithub
pyyaml==6.0.1
    # via
    #   myst-parser
    #   rocm-docs-core
    #   sphinx-external-toc
requests==2.32.3
    # via
    #   pygithub
    #   sphinx
rocm-docs-core==1.4.0
    # via -r requirements.in
smmap==5.0.1
    # via gitdb
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.3.7
    # via
    #   breathe
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-notfound-page
    #   sphinxcontrib-moderncmakedomain
sphinx-book-theme==1.1.2
    # via rocm-docs-core
sphinx-copybutton==0.5.2
    # via rocm-docs-core
sphinx-design==0.6.0
    # via rocm-docs-core
sphinx-external-toc==1.0.1
    # via rocm-docs-core
sphinx-notfound-page==1.0.2
    # via rocm-docs-core
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-moderncmakedomain==3.29.0
    # via -r requirements.in
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
tomli==2.0.1
    # via sphinx
typing-extensions==4.12.2
    # via
    #   pydata-sphinx-theme
    #   pygithub
urllib3==2.2.1
    # via
    #   pygithub
    #   requests
wrapt==1.16.0
    # via deprecated

=== debian/changelog ===
rocm-cmake (6.4.3-1) unstable; urgency=medium

  * New upstream version 6.4.3
  * Update my email address

 -- Mario Limonciello <superm1@debian.org>  Fri, 15 Aug 2025 15:41:05 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
            Étienne Mollier <emollier@debian.org>,
            Maxime Chambonnet <maxzor@maxzor.eu>,
            Cordell Bloor <cgmb@slerp.xyz>,
-           Mario Limonciello <superm1@gmail.com>,
+           Mario Limonciello <superm1@debian.org>,
            Christian Kastner <ckk@debian.org>,
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# extra (duplicated) LICENSE file triggers lintian error.
execute_after_dh_auto_install:
	find debian -type f -name LICENSE -print -delete

override_dh_auto_test:
	:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?rocm-(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/ROCm/rocm-cmake/tags \
	(?:.*?/)?rocm-@ANY_VERSION@@ARCHIVE_EXT@

## rocm-cmake 7.1.0

=== debian/changelog ===
rocm-cmake (7.1.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0

 -- Igor Luppi <igor.luppi@canonical.com>  Thu, 06 Nov 2025 09:25:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Étienne Mollier <emollier@debian.org>,
